#========================================================================================
# package      DE_EPAGES::Amazon::Hooks::ProductPortal
# state        public
# description  Runs When Product Portal Hooks are triggered. 
#========================================================================================
package DE_EPAGES::Amazon::Hooks::ProductPortal;

use strict;
use DE_EPAGES::Object::API::Factory qw (LoadClassByAlias);

#========================================================================================
# function     OnDeletePortalConfig
# state        public
#----------------------------------------------------------------------------------------
# syntax       OnDeletePortalConfig( $hParams );
#----------------------------------------------------------------------------------------
# description  OnDeletePortalConfig is triggered when a portal config is removed.
#----------------------------------------------------------------------------------------
# input        $hParams | hook arguments, used keys are
#               <ul>
#                   <li>Object
#               </ul> | ref.hash.*
#========================================================================================
sub OnDeletePortalConfig {
    my ($hParams) = @_;
    my $PortalConfig   = $hParams->{'Object'};
    
    my $children = $PortalConfig->folder('AmazonOffers')->children;
    
    foreach my $Offer (@$children) {
        $Offer->delete if ($Offer);
    }
    # Delete messages in AmazonSubmitFeedQueue
    LoadClassByAlias('AmazonSubmitFeedQueue')->deleteObjects( 'ByPortalConfigID', [ $PortalConfig->id ] );
}

1;